> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmicloud.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete template



## OpenAPI

````yaml /api-spec/service_api.yaml delete /v1/templates/{id}
openapi: 3.0.1
info:
  contact:
    email: support@gmicloud.ai
  description: Cluster Engine API spec
  title: Cluster Engine API
  version: 2.4.0
servers:
  - url: https://console.gmicloud.ai/api
security:
  - bearerAuth: []
tags:
  - name: containers
    description: >-
      GMI Container management APIs for creating, managing, and monitoring
      containerized applications.
  - name: templates
    description: >-
      GMI template management APIs for creating and managing reusable container
      template.
  - name: baremetals
    description: >-
      GMI Bare metal management APIs for provisioning, configuring, and
      controlling physical server nodes. Handles server lifecycle management,
      hardware inventory, and status monitoring.
  - name: images
    description: GMI Image management APIs for query OS images.
  - name: elastic-ips
    description: >-
      GMI Elastic IP address management APIs for allocating, associating, and
      managing public IP addresses.
paths:
  /v1/templates/{id}:
    delete:
      tags:
        - templates
      summary: Delete template
      operationId: deleteTemplate
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          $ref: '#/components/responses/Done'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  responses:
    Done:
      content:
        application/json:
          example:
            result: >-
              container 12345678-1234-2234-3234-xxxxxxxxxxxxxx has been
              restarted
          schema:
            properties:
              result:
                type: string
            required:
              - result
            type: object
      description: An action completed successfully
    Unauthorized:
      content:
        application/json:
          examples:
            Expired access token.:
              summary: Expired access token.
              value:
                code: 1
                group: auth_verify
                message: Expired access token.
            Invalid access token.:
              summary: Invalid access token.
              value:
                code: 0
                group: auth_verify
                message: Invalid access token.
          schema:
            $ref: '#/components/schemas/errorStatusMessage'
      description: Authentication information is missing or invalid
      headers:
        WWW_Authenticate:
          schema:
            type: string
    InternalServerError:
      content:
        application/json:
          example:
            reason: An error occurred in the kubernetes cluster
          schema:
            $ref: '#/components/schemas/error'
      description: Internal Server Error
    ServiceUnavailable:
      content:
        application/json:
          example:
            reason: database is unavailable
          schema:
            $ref: '#/components/schemas/error'
      description: a dependent service is unavailable
  schemas:
    errorStatusMessage:
      example:
        code: 0
        group: request
        validationDetail:
          - expression: required
            field: userName
            originalValue: ''
            reason: This field is required.
      properties:
        code:
          description: The substatus error code for the API response.
          type: integer
        group:
          description: >-
            API function group. Will be "request" if there are invalid request
            parameters.
          type: string
        message:
          description: The substatus error message for the API response.
          type: string
        traces:
          description: The original error messages.
          items:
            type: string
          type: array
        validationDetail:
          items:
            $ref: '#/components/schemas/validationDetail'
          type: array
      required:
        - group
        - code
      type: object
    error:
      properties:
        code:
          type: integer
          x-go-type-skip-optional-pointer: true
        reason:
          type: string
          x-go-type-skip-optional-pointer: true
      required:
        - reason
      type: object
    validationDetail:
      example:
        expression: required
        field: userName
        originalValue: ''
        reason: This field is required.
      properties:
        argument:
          description: Data supporting the expression.
          type: string
        expression:
          description: The form of violation.
          type: string
        field:
          description: The field of the request data.
          type: string
        originalValue:
          description: The original value from the request.
          type: string
        reason:
          description: The reason for the validation error.
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````